#
# wls_install::ords::software
#
# @summary This defined type allows you to install ords software.
#
#
#
#
# See the file "LICENSE" for the full license governing this code.
#
class wls_install::ords::software (
  String[1]                            $file,
  Stdlib::Absolutepath                 $ords_home,
  String[1]                            $source,
  String[1]                            $version,
  Variant[Enum['on_failure'], Boolean] $logoutput       = 'on_failure'
) {
  easy_type::debug_evaluation() # Show local variable on extended debug

  wls_install::ords::software_version { $version:
    source    => $source,
    file      => $file,
    ords_home => $ords_home,
    logoutput => $logoutput,
  }
}
